Subject: bug#583: Use XDG basedir spec for configuration files?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Sep 2019 21:50:09 +0300

> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sun, 1 Sep 2019 11:40:21 -0700
> 
> Eli Zaretskii wrote:
> > We should document what that "very early" means in practice.  Does it
> > mean in the early-init file? or can this be done reliably in the
> > normal init file as well?
> 
> Sorry, I don't know. That's why I didn't document it.
> 
> > The problem here is that some defcustom's refer to
> > user-emacs-directory, and so changing the value of
> > user-emacs-directory after those defcustoms were computed during
> > startup will leave those defcustoms pointing at the old place.
> 
> Yes, it's quite a mess.

If doing this in early-init works, I'd rather we documented that as
the canonical place that saves users from the mess.